Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178758 - Coupling abort while using code completion
Coupling abort while using code completion
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Dusan Balek
issues@java
68patch1-verified
:
Depends on:
Blocks: 178736
  Show dependency treegraph
 
Reported: 2009-12-16 16:39 UTC by Jan Lahoda
Modified: 2010-01-25 08:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Dump file. (6.21 KB, application/octet-stream)
2009-12-16 16:39 UTC, Jan Lahoda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2009-12-16 16:39:56 UTC
Created attachment 92689 [details]
Dump file.

Invoke CC after "System." in the following code. A coupling error is reported (see attached dump file). This is the simplest code I found to reproduce the problem, sorry.


package javaapplication4;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import javax.swing.JComponent;
import javax.swing.SwingUtilities;

public class Main {

    public static void main(String[] args) {
        final JComponent i = null;

        new Runnable() {
            {
                i.addPropertyChangeListener(new PropertyChangeListener() {
                    public void propertyChange(PropertyChangeEvent evt) {
                    }
                });
            }
            public void run() {
                SwingUtilities.invokeLater(new Runnable() {
                    public void run() {
                    }
                });
            }
        };

        System.err.println(1);
    }

}
Comment 1 Dusan Balek 2010-01-05 03:32:33 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/92a162cfe805
Comment 2 Quality Engineering 2010-01-06 00:42:37 UTC
Integrated into 'main-golden', will be available in build *201001060200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/92a162cfe805
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #178758: Coupling abort while using code completion - fixed.
Comment 3 Peter Pis 2010-01-15 04:55:55 UTC
Verified in trunk.
Comment 4 pgebauer 2010-01-18 06:11:12 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/aa382f631912
Comment 5 Peter Pis 2010-01-25 08:53:21 UTC
V.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo